#include <stdio.h>
#include <stdlib.h>

int main()
{
    int x,y,nn,tmpx,tmpy,nnr;
    scanf("%d%d",&x,&y);
    nn=0;
    nnr=0;
    while(y>0 && x>0)
    {
        tmpx=x%10;
        x-=x%10;
        tmpy=y%10;
        y-=y%10;
        if(tmpx>tmpy)
        {
            nn+=tmpx;
            nn*=10;
        }
        else if(tmpy>tmpx)
        {
            nn+=tmpy;
            nn*=10;
        }
        else
        {
            nn+=tmpx;
            nn*=10;
            nn+=tmpy;
            nn*=10;
        }
        x/=10;
        y/=10;
    }
    while(nn!=0)
    {
        nnr=nnr*10;
        nnr=nnr+nn%10;
        nn=nn/10;
    }
    printf("%d",nnr);
    return 0;
}